GNU bug report logs - #22796
Abnormal Python prompt

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Amir Dib <dib.amir@HIDDEN>; merged with #21431, #25753, #26326; dated Wed, 24 Feb 2016 18:41:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Disconnected #32042 from all other report(s). Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 21431 22796 25753 26326 32042. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 21431 22796 25753 26326. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Feb 2016 18:40:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 24 13:40:07 2016
Received: from localhost ([127.0.0.1]:44174 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aYeM1-0003KI-Id
	for submit <at> debbugs.gnu.org; Wed, 24 Feb 2016 13:40:07 -0500
Received: from eggs.gnu.org ([208.118.235.92]:36591)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <dib.amir@HIDDEN>) id 1aYeEJ-00038Q-Mn
 for submit <at> debbugs.gnu.org; Wed, 24 Feb 2016 13:32:09 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dib.amir@HIDDEN>) id 1aYeE8-00038f-KA
 for submit <at> debbugs.gnu.org; Wed, 24 Feb 2016 13:32:02 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:42825)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dib.amir@HIDDEN>) id 1aYeE8-00038b-H7
 for submit <at> debbugs.gnu.org; Wed, 24 Feb 2016 13:31:56 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55770)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dib.amir@HIDDEN>) id 1aYeE2-0006wA-51
 for bug-gnu-emacs@HIDDEN; Wed, 24 Feb 2016 13:31:56 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dib.amir@HIDDEN>) id 1aYeDv-00037K-Re
 for bug-gnu-emacs@HIDDEN; Wed, 24 Feb 2016 13:31:50 -0500
Received: from mail-ob0-x22a.google.com ([2607:f8b0:4003:c01::22a]:34253)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dib.amir@HIDDEN>) id 1aYeDv-000378-GV
 for bug-gnu-emacs@HIDDEN; Wed, 24 Feb 2016 13:31:43 -0500
Received: by mail-ob0-x22a.google.com with SMTP id ts10so26220367obc.1
 for <bug-gnu-emacs@HIDDEN>; Wed, 24 Feb 2016 10:31:43 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=4ACNMJLwd/Q9WpynmH5Z6RGz3bikYk9AfvIkhNoAXNs=;
 b=Fbp3/LlLDy2rczRDjFwNwFW0MVFI4dRMTBpPurNY6W9W05eaOYhkFWXhU/sogEpGZJ
 Z+Eb9jwoZfBbvelQJgWpgLB/hAxaGCGg8bEQeeY8SxBpIEsMt6Pk/2ZGBLr1Yevmg6oB
 Fy0BY9xmwfSlb5QE8vh6Arn0YsjqLAsGkwNbyWd4k5O49xLScaiGLR8HhvF2IfIu9F/u
 AbOPzM97edPm5UyQe9b5LXNY1ibTDe9f7+StPmEqyHXCmzQZ1iZEOJaEGTERk+MrOeGY
 a/SHebhsouV9P9ij88adJY/1Kko1JJ54rC3sfIDJWvcde1iIVWz8NcvPSCk6GZ/+Doah
 Cz7A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:date:message-id:subject:from:to
 :content-type;
 bh=4ACNMJLwd/Q9WpynmH5Z6RGz3bikYk9AfvIkhNoAXNs=;
 b=RqlUkv0Xz00qgMNTpnc/M0yiHEfr9FvTRhBgvA5sPLhOXj3a7Ajxr99vMClX2H3wyT
 ZTXFxlpJcdddOZgaiU2KP4JOTl0hufouXxvGjzdPY6WPtFvnWoXyYjsDq3c0p0d+2H32
 aJleUimmpJdSBevQhZUn32Ph7zBY0MegdfShfahuCdkgGbWnNRbhCAzFxZiWKeZnnHbc
 MvFbmJ9S2cfaYYJswexoUva1Hgsm/dOMNYsGyFDMw2tUAraFE4NN8mFwbey8+bBkofAS
 ev1hH8MlGe1CF0MRB96W0mmcb3XRWO2q/ihI0cwi/Lrab8qBw/NpIt6QUbIWu/ODeCxp
 0jZA==
X-Gm-Message-State: AG10YOT/XLd7ybODemiQoSfa6WHJOl1YjGHTv9JB1ZrBrN2h9HmrFEWDOm4slPSiCxH/d5meDhGEnh8dst4C5g==
MIME-Version: 1.0
X-Received: by 10.60.162.66 with SMTP id xy2mr21164749oeb.9.1456338702511;
 Wed, 24 Feb 2016 10:31:42 -0800 (PST)
Received: by 10.182.104.10 with HTTP; Wed, 24 Feb 2016 10:31:42 -0800 (PST)
Date: Wed, 24 Feb 2016 19:31:42 +0100
Message-ID: <CALbXw0wdMggL2=jdLLP+drjYQFCyq_0t7UjgHXSMaCbPiGbukg@HIDDEN>
Subject: Abnormal Python prompt
From: Amir Dib <dib.amir@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=047d7b471f6e093724052c884767
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 24 Feb 2016 13:40:04 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--047d7b471f6e093724052c884767
Content-Type: text/plain; charset=UTF-8

From: Amir Dib <dib.amir@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.5; Python prompt
Date: Wed, 24 Feb 2016 19:22:18 +0100

My issue is about an abnormal prompt in python-mode. Here a example of
input/output:

INPUT
a = "Test"
print (a)

OUTPUT
>>> import codecs, os;__pyfile =
codecs.open('''/var/folders/qf/p2x82_v11hv436wwqxppdbb00000gn/T/py3372loS''',
encoding='''utf-8''');__code =
__pyfile.read().encode('''utf-8''');__pyfile.close();os.remove('''/var/folders/qf/p2x82_v11hv436wwqxppdbb00000gn/T/py3372loS''');exec(compile(__code,
'''/Users/Amir/Python/test.py''', 'exec'));
Test

As you can see, the string sended to the process is displayed before the
output. I can't remove it and it's seems to be a problem for all Mac OS
X user (this code compile fine on my linux session or via shell
execution). I have the same problem than this user:
http://stackoverflow.com/questions/33726268/
I traced back this prompt on the sources of python-mode (python.el):

(defun python-shell-send-file (file-name &optional process temp-file-name
                                         delete)
  "Send FILE-NAME to inferior Python PROCESS.
If TEMP-FILE-NAME is passed then that file is used for processing
instead, while internally the shell will continue to use
FILE-NAME.  If TEMP-FILE-NAME and DELETE are non-nil, then
TEMP-FILE-NAME is deleted after evaluation is performed."
  (interactive "fFile to send: ")
  (let* ((process (or process (python-shell-get-or-create-process)))
         (encoding (with-temp-buffer
                     (insert-file-contents
                      (or temp-file-name file-name))
                     (python-info-encoding)))
         (file-name (expand-file-name
                     (or (file-remote-p file-name 'localname)
                         file-name)))
         (temp-file-name (when temp-file-name
                           (expand-file-name
                            (or (file-remote-p temp-file-name 'localname)
                                temp-file-name)))))
    (python-shell-send-string
     (format
      (concat
       "import codecs, os;"
       "__pyfile = codecs.open('''%s''', encoding='''%s''');"
       "__code = __pyfile.read().encode('''%s''');"
       "__pyfile.close();"
       (when (and delete temp-file-name)
         (format "os.remove('''%s''');" temp-file-name))
       "exec(compile(__code, '''%s''', 'exec'));")
      (or temp-file-name file-name) encoding encoding file-name)
     process)))

It's seems that emacs does not correctly filter the output, and
replacing (python-shell-send-string function) with
(python-shell-send-string-no-output) lead to no output at all.

Thank you very much for you help.
Amir




In GNU Emacs 24.5.1 (x86_64-apple-darwin13.4.0, NS apple-appkit-1265.21)
 of 2015-04-10 on builder10-9.porkrind.org
Windowing system distributor `Apple', version 10.3.1404
Configured using:
 `configure --with-ns '--enable-locallisppath=/Library/Application
 Support/Emacs/${version}/site-lisp:/Library/Application
 Support/Emacs/site-lisp''

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LC_CTYPE: UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-networks-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  pyvenv-mode: t
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
compressing python.el.gz...done
Wrote /Applications/Emacs.app/Contents/Resources/lisp/progmodes/python.el.gz
(No changes need to be saved) [2 times]
Undo! [2 times]
Auto-saving...done
Auto-saving...done
Point is not in the input area
byte-code: End of buffer [29 times]
<wheel-left> is undefined
Mark set
Quit

Load-path shadows:
/Users/Amir/.emacs.d/elpa/helm-20151103.944/helm-multi-match hides
/Users/Amir/.emacs.d/elpa/helm-core-20151104.0/helm-multi-match
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/msdos hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/msdos
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/mouseme hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/mouseme
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/make-regexp hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/make-regexp
/Users/Amir/.emacs.d/elpa/julia-mode-20150912.800/julia-mode hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/julia-mode
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/essd-els hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/essd-els
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-xls-d hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-xls-d
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-vst-d hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-vst-d
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-utils hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-utils
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-trns hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-trns
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-tracebug hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-tracebug
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-toolbar hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-toolbar
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-swv hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-swv
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-sta-l hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-sta-l
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-sta-d hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-sta-d
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-sp6w-d hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-sp6w-d
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-sp6-d hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-sp6-d
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-sp5-d hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-sp5-d
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-sp4-d hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-sp4-d
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-sp3-d hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-sp3-d
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-site hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-site
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-sas-l hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-sas-l
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-sas-d hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-sas-d
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-sas-a hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-sas-a
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-s4-d hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-s4-d
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-s3-d hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-s3-d
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-s-l hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-s-l
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-rutils hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-rutils
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-roxy hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-roxy
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-rdired hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-rdired
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-rd hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-rd
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-r-syntax hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-r-syntax
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-r-d hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-r-d
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-r-completion hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-r-completion
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-r-args hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-r-args
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-omg-l hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-omg-l
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-omg-d hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-omg-d
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-noweb hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-noweb
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-noweb-mode hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-noweb-mode
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-noweb-font-lock-mode
hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-noweb-font-lock-mode
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-mouse hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-mouse
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-mode hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-mode
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-menu hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-menu
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-lsp-l hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-lsp-l
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-julia hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-julia
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-jags-d hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-jags-d
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-inf hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-inf
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-help hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-help
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-gretl hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-gretl
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-font-lock hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-font-lock
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-eldoc hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-eldoc
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-developer hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-developer
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-dde hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-dde
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-custom hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-custom
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-compat hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-compat
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-comp hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-comp
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-bugs-l hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-bugs-l
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-bugs-d hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-bugs-d
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-arc-d hides
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-arc-d
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ox hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ox-texinfo hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-texinfo
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ox-publish hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-publish
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ox-org hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-org
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ox-odt hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-odt
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ox-md hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-md
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ox-man hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-man
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ox-latex hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-latex
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ox-icalendar hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-icalendar
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ox-html hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-html
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ox-beamer hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-beamer
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ox-ascii hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-ascii
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-w3m hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-w3m
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-version hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-version
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-timer hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-timer
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-table hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-table
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-src hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-src
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-rmail hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-rmail
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-protocol hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-protocol
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-plot hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-plot
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-pcomplete
hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-pcomplete
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-mouse hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-mouse
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-mobile hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-mobile
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-mhe hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-mhe
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-macs hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-macs
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-macro hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-macro
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-loaddefs hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-loaddefs
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-list hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-list
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-irc hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-irc
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-install hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-install
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-inlinetask
hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-inlinetask
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-info hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-info
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-indent hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-indent
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-id hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-id
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-habit hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-habit
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-gnus hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-gnus
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-footnote hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-footnote
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-feed hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-feed
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-faces hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-faces
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-eshell hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-eshell
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-entities hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-entities
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-element hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-element
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-docview hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-docview
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-datetree hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-datetree
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-ctags hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-ctags
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-crypt hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-crypt
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-compat hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-compat
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-colview hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-colview
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-clock hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-clock
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-capture hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-capture
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-bibtex hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-bibtex
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-bbdb hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-bbdb
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-attach hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-attach
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-archive hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-archive
/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-agenda hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-agenda
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-tangle hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-tangle
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-table hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-table
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-sqlite hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-sqlite
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-sql hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-sql
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-shen hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-shen
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-screen hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-screen
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-scheme hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-scheme
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-scala hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-scala
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-sass hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-sass
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-ruby hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ruby
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-ref hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ref
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-R hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-R
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-python hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-python
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-plantuml hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-plantuml
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-picolisp hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-picolisp
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-perl hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-perl
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-org hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-org
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-octave hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-octave
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-ocaml hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ocaml
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-mscgen hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-mscgen
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-maxima hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-maxima
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-matlab hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-matlab
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-makefile hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-makefile
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-lob hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-lob
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-lisp hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-lisp
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-lilypond hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-lilypond
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-ledger hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ledger
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-latex hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-latex
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-keys hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-keys
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-js hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-js
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-java hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-java
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-io hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-io
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-haskell hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-haskell
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-gnuplot hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-gnuplot
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-fortran hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-fortran
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-exp hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-exp
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-eval hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-eval
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-emacs-lisp
hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-emacs-lisp
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-dot hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-dot
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-ditaa hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ditaa
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-css hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-css
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-core hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-core
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-comint hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-comint
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-clojure hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-clojure
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-calc hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-calc
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-C hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-C
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-awk hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-awk
/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-asymptote hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-asymptote

Features:
(shadow sort mail-extr emacsbug sendmail mule-util network-stream
starttls tls erc-list erc-menu erc-join erc-ring erc-networks
erc-pcomplete erc-track erc-match erc-button erc-fill erc-stamp
erc-netsplit erc-goodies erc erc-backend erc-compat auth-source
gnus-util password-cache pp derived rx misearch multi-isearch jka-compr
company-files company-oddmuse company-keywords company-etags
company-gtags company-dabbrev-code company-dabbrev company-cmake
company-xcode company-clang company-eclim company-template company-css
company-nxml company-bbdb exec-path-from-shell version-modified
yasnippet help-mode highlight-indentation flymake company edmacro kmacro
pcase elpy pyvenv elpy-refactor python json grep files-x etags cus-edit
cus-start cus-load windmove zenburn-theme info package epg-config psvn
log-edit message cl-macs rfc822 mml mml-sec mm-decode mm-bodies
mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mailabbrev mail-utils gmm-utils mailheader pcvs-util add-log
diff-mode poly-R poly-markdown poly-noweb easy-mmode polymode poly-base
polymode-weave polymode-export polymode-methods polymode-classes
polymode-common eieio-custom wid-edit eieio-base eieio byte-opt bytecomp
byte-compile cl-extra cconv eieio-core color preview-latex tex-site
auto-loads ido ess-toolbar ess-mouse mouseme thingatpt browse-url
ess-menu ess-swv ess-noweb ess-noweb-font-lock-mode ess-bugs-l essd-els
ess-sas-d ess-sas-l ess-sas-a shell pcomplete ess-sta-d ess-sta-l
cc-vars cc-defs make-regexp ess-sp6-d ess-sp3-d ess-julia julia-mode ert
find-func ewoc debug ess-r-d ess-r-syntax ess-r-completion ess-tracebug
format-spec ess-roxy advice hideshow ess-help ess-developer eldoc
help-fns ess-s-l ess ess-inf compile comint ansi-color ring ess-mode
ess-noweb-mode ess-utils cl gv cl-loaddefs cl-lib ess-custom executable
easymenu ess-compat ess-site paren delsel time-date tooltip electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel ns-win tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
cocoa ns multi-tty emacs)

Memory information:
((conses 16 370984 60575)
 (symbols 48 39331 0)
 (miscs 40 244 1063)
 (strings 32 95932 12630)
 (string-bytes 1 2441985)
 (vectors 16 42872)
 (vector-slots 8 1462194 155674)
 (floats 8 702 689)
 (intervals 56 3645 558)
 (buffers 960 21))

--047d7b471f6e093724052c884767
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>From: Amir Dib &lt;<a href=3D"mailto:dib.amir@HIDDEN=
om">dib.amir@HIDDEN</a>&gt;</div><div>To: <a href=3D"mailto:bug-gnu-emac=
s@HIDDEN">bug-gnu-emacs@HIDDEN</a></div><div>Subject: 24.5; Python prompt=
</div><div>Date: Wed, 24 Feb 2016 19:22:18 +0100</div><div><br></div><div>M=
y issue is about an abnormal prompt in python-mode. Here a example of</div>=
<div>input/output:</div><div><br></div><div>INPUT=C2=A0</div><div>a =3D &qu=
ot;Test&quot;</div><div>print (a)</div><div><br></div><div>OUTPUT</div><div=
>&gt;&gt;&gt; import codecs, os;__pyfile =3D codecs.open(&#39;&#39;&#39;/va=
r/folders/qf/p2x82_v11hv436wwqxppdbb00000gn/T/py3372loS&#39;&#39;&#39;, enc=
oding=3D&#39;&#39;&#39;utf-8&#39;&#39;&#39;);__code =3D __pyfile.read().enc=
ode(&#39;&#39;&#39;utf-8&#39;&#39;&#39;);__pyfile.close();os.remove(&#39;&#=
39;&#39;/var/folders/qf/p2x82_v11hv436wwqxppdbb00000gn/T/py3372loS&#39;&#39=
;&#39;);exec(compile(__code, &#39;&#39;&#39;/Users/Amir/Python/test.py&#39;=
&#39;&#39;, &#39;exec&#39;));</div><div>Test</div><div><br></div><div>As yo=
u can see, the string sended to the process is displayed before the</div><d=
iv>output. I can&#39;t remove it and it&#39;s seems to be a problem for all=
 Mac OS</div><div>X user (this code compile fine on my linux session or via=
 shell</div><div>execution). I have the same problem than this user:</div><=
div><a href=3D"http://stackoverflow.com/questions/33726268/">http://stackov=
erflow.com/questions/33726268/</a></div><div>I traced back this prompt on t=
he sources of python-mode (python.el):</div><div><br></div><div>(defun pyth=
on-shell-send-file (file-name &amp;optional process temp-file-name</div><di=
v>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0de=
lete)</div><div>=C2=A0 &quot;Send FILE-NAME to inferior Python PROCESS.</di=
v><div>If TEMP-FILE-NAME is passed then that file is used for processing</d=
iv><div>instead, while internally the shell will continue to use</div><div>=
FILE-NAME.=C2=A0 If TEMP-FILE-NAME and DELETE are non-nil, then</div><div>T=
EMP-FILE-NAME is deleted after evaluation is performed.&quot;</div><div>=C2=
=A0 (interactive &quot;fFile to send: &quot;)</div><div>=C2=A0 (let* ((proc=
ess (or process (python-shell-get-or-create-process)))</div><div>=C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0(encoding (with-temp-buffer</div><div>=C2=A0 =C2=A0=
 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(insert-file=
-contents</div><div>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0 =C2=A0 =C2=A0 (or temp-file-name file-name))</div><div>=C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(python-i=
nfo-encoding)))</div><div>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(file-name (exp=
and-file-name</div><div>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0(or (file-remote-p file-name &#39;localname)</di=
v><div>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0file-name)))</div><div>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0(temp-file-name (when temp-file-name</div><div>=C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0(expand-file-name</div><div>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (or (file-remote-p =
temp-file-name &#39;localname)</div><div>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 temp-file-name)))))</div><div>=C2=A0 =C2=A0 (python-shell-send-string</=
div><div>=C2=A0 =C2=A0 =C2=A0(format</div><div>=C2=A0 =C2=A0 =C2=A0 (concat=
</div><div>=C2=A0 =C2=A0 =C2=A0 =C2=A0&quot;import codecs, os;&quot;</div><=
div>=C2=A0 =C2=A0 =C2=A0 =C2=A0&quot;__pyfile =3D codecs.open(&#39;&#39;&#3=
9;%s&#39;&#39;&#39;, encoding=3D&#39;&#39;&#39;%s&#39;&#39;&#39;);&quot;</d=
iv><div>=C2=A0 =C2=A0 =C2=A0 =C2=A0&quot;__code =3D __pyfile.read().encode(=
&#39;&#39;&#39;%s&#39;&#39;&#39;);&quot;</div><div>=C2=A0 =C2=A0 =C2=A0 =C2=
=A0&quot;__pyfile.close();&quot;</div><div>=C2=A0 =C2=A0 =C2=A0 =C2=A0(when=
 (and delete temp-file-name)</div><div>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(f=
ormat &quot;os.remove(&#39;&#39;&#39;%s&#39;&#39;&#39;);&quot; temp-file-na=
me))</div><div>=C2=A0 =C2=A0 =C2=A0 =C2=A0&quot;exec(compile(__code, &#39;&=
#39;&#39;%s&#39;&#39;&#39;, &#39;exec&#39;));&quot;)</div><div>=C2=A0 =C2=
=A0 =C2=A0 (or temp-file-name file-name) encoding encoding file-name)</div>=
<div>=C2=A0 =C2=A0 =C2=A0process)))</div><div><br></div><div>It&#39;s seems=
 that emacs does not correctly filter the output, and</div><div>replacing (=
python-shell-send-string function) with</div><div>(python-shell-send-string=
-no-output) lead to no output at all.</div><div><br></div><div>Thank you ve=
ry much for you help.</div><div>Amir</div><div><br></div><div><br></div><di=
v><br></div><div><br></div><div>In GNU Emacs 24.5.1 (x86_64-apple-darwin13.=
4.0, NS apple-appkit-1265.21)</div><div>=C2=A0of 2015-04-10 on <a href=3D"h=
ttp://builder10-9.porkrind.org">builder10-9.porkrind.org</a></div><div>Wind=
owing system distributor `Apple&#39;, version 10.3.1404</div><div>Configure=
d using:</div><div>=C2=A0`configure --with-ns &#39;--enable-locallisppath=
=3D/Library/Application</div><div>=C2=A0Support/Emacs/${version}/site-lisp:=
/Library/Application</div><div>=C2=A0Support/Emacs/site-lisp&#39;&#39;</div=
><div><br></div><div>Important settings:</div><div>=C2=A0 value of $LC_ALL:=
 en_US.UTF-8</div><div>=C2=A0 value of $LC_CTYPE: UTF-8</div><div>=C2=A0 va=
lue of $LANG: en_US.UTF-8</div><div>=C2=A0 locale-coding-system: utf-8-unix=
</div><div><br></div><div>Major mode: Emacs-Lisp</div><div><br></div><div>M=
inor modes in effect:</div><div>=C2=A0 erc-list-mode: t</div><div>=C2=A0 er=
c-menu-mode: t</div><div>=C2=A0 erc-autojoin-mode: t</div><div>=C2=A0 erc-r=
ing-mode: t</div><div>=C2=A0 erc-networks-mode: t</div><div>=C2=A0 erc-pcom=
plete-mode: t</div><div>=C2=A0 erc-track-mode: t</div><div>=C2=A0 erc-track=
-minor-mode: t</div><div>=C2=A0 erc-match-mode: t</div><div>=C2=A0 erc-butt=
on-mode: t</div><div>=C2=A0 erc-fill-mode: t</div><div>=C2=A0 erc-stamp-mod=
e: t</div><div>=C2=A0 erc-netsplit-mode: t</div><div>=C2=A0 erc-irccontrols=
-mode: t</div><div>=C2=A0 erc-noncommands-mode: t</div><div>=C2=A0 erc-move=
-to-prompt-mode: t</div><div>=C2=A0 erc-readonly-mode: t</div><div>=C2=A0 p=
yvenv-mode: t</div><div>=C2=A0 diff-auto-refine-mode: t</div><div>=C2=A0 sh=
ell-dirtrack-mode: t</div><div>=C2=A0 show-paren-mode: t</div><div>=C2=A0 d=
elete-selection-mode: t</div><div>=C2=A0 tooltip-mode: t</div><div>=C2=A0 e=
lectric-indent-mode: t</div><div>=C2=A0 mouse-wheel-mode: t</div><div>=C2=
=A0 tool-bar-mode: t</div><div>=C2=A0 menu-bar-mode: t</div><div>=C2=A0 fil=
e-name-shadow-mode: t</div><div>=C2=A0 global-font-lock-mode: t</div><div>=
=C2=A0 font-lock-mode: t</div><div>=C2=A0 blink-cursor-mode: t</div><div>=
=C2=A0 auto-composition-mode: t</div><div>=C2=A0 auto-encryption-mode: t</d=
iv><div>=C2=A0 auto-compression-mode: t</div><div>=C2=A0 line-number-mode: =
t</div><div>=C2=A0 transient-mark-mode: t</div><div><br></div><div>Recent m=
essages:</div><div>compressing python.el.gz...done</div><div>Wrote /Applica=
tions/Emacs.app/Contents/Resources/lisp/progmodes/python.el.gz</div><div>(N=
o changes need to be saved) [2 times]</div><div>Undo! [2 times]</div><div>A=
uto-saving...done</div><div>Auto-saving...done</div><div>Point is not in th=
e input area</div><div>byte-code: End of buffer [29 times]</div><div>&lt;wh=
eel-left&gt; is undefined</div><div>Mark set</div><div>Quit</div><div><br><=
/div><div>Load-path shadows:</div><div>/Users/Amir/.emacs.d/elpa/helm-20151=
103.944/helm-multi-match hides /Users/Amir/.emacs.d/elpa/helm-core-20151104=
.0/helm-multi-match</div><div>/Users/Amir/.emacs.d/elpa/ess-20151105.852/li=
sp/msdos hides /Applications/Emacs.app/Contents/Resources/site-lisp/ess/msd=
os</div><div>/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/mouseme hides =
/Applications/Emacs.app/Contents/Resources/site-lisp/ess/mouseme</div><div>=
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/make-regexp hides /Applicat=
ions/Emacs.app/Contents/Resources/site-lisp/ess/make-regexp</div><div>/User=
s/Amir/.emacs.d/elpa/julia-mode-20150912.800/julia-mode hides /Applications=
/Emacs.app/Contents/Resources/site-lisp/ess/julia-mode</div><div>/Users/Ami=
r/.emacs.d/elpa/ess-20151105.852/lisp/essd-els hides /Applications/Emacs.ap=
p/Contents/Resources/site-lisp/ess/essd-els</div><div>/Users/Amir/.emacs.d/=
elpa/ess-20151105.852/lisp/ess hides /Applications/Emacs.app/Contents/Resou=
rces/site-lisp/ess/ess</div><div>/Users/Amir/.emacs.d/elpa/ess-20151105.852=
/lisp/ess-xls-d hides /Applications/Emacs.app/Contents/Resources/site-lisp/=
ess/ess-xls-d</div><div>/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess=
-vst-d hides /Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-v=
st-d</div><div>/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-utils hi=
des /Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-utils</div=
><div>/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-trns hides /Appli=
cations/Emacs.app/Contents/Resources/site-lisp/ess/ess-trns</div><div>/User=
s/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-tracebug hides /Applications=
/Emacs.app/Contents/Resources/site-lisp/ess/ess-tracebug</div><div>/Users/A=
mir/.emacs.d/elpa/ess-20151105.852/lisp/ess-toolbar hides /Applications/Ema=
cs.app/Contents/Resources/site-lisp/ess/ess-toolbar</div><div>/Users/Amir/.=
emacs.d/elpa/ess-20151105.852/lisp/ess-swv hides /Applications/Emacs.app/Co=
ntents/Resources/site-lisp/ess/ess-swv</div><div>/Users/Amir/.emacs.d/elpa/=
ess-20151105.852/lisp/ess-sta-l hides /Applications/Emacs.app/Contents/Reso=
urces/site-lisp/ess/ess-sta-l</div><div>/Users/Amir/.emacs.d/elpa/ess-20151=
105.852/lisp/ess-sta-d hides /Applications/Emacs.app/Contents/Resources/sit=
e-lisp/ess/ess-sta-d</div><div>/Users/Amir/.emacs.d/elpa/ess-20151105.852/l=
isp/ess-sp6w-d hides /Applications/Emacs.app/Contents/Resources/site-lisp/e=
ss/ess-sp6w-d</div><div>/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess=
-sp6-d hides /Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-s=
p6-d</div><div>/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-sp5-d hi=
des /Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-sp5-d</div=
><div>/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-sp4-d hides /Appl=
ications/Emacs.app/Contents/Resources/site-lisp/ess/ess-sp4-d</div><div>/Us=
ers/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-sp3-d hides /Applications/=
Emacs.app/Contents/Resources/site-lisp/ess/ess-sp3-d</div><div>/Users/Amir/=
.emacs.d/elpa/ess-20151105.852/lisp/ess-site hides /Applications/Emacs.app/=
Contents/Resources/site-lisp/ess/ess-site</div><div>/Users/Amir/.emacs.d/el=
pa/ess-20151105.852/lisp/ess-sas-l hides /Applications/Emacs.app/Contents/R=
esources/site-lisp/ess/ess-sas-l</div><div>/Users/Amir/.emacs.d/elpa/ess-20=
151105.852/lisp/ess-sas-d hides /Applications/Emacs.app/Contents/Resources/=
site-lisp/ess/ess-sas-d</div><div>/Users/Amir/.emacs.d/elpa/ess-20151105.85=
2/lisp/ess-sas-a hides /Applications/Emacs.app/Contents/Resources/site-lisp=
/ess/ess-sas-a</div><div>/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/es=
s-s4-d hides /Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-s=
4-d</div><div>/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-s3-d hide=
s /Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-s3-d</div><d=
iv>/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-s-l hides /Applicati=
ons/Emacs.app/Contents/Resources/site-lisp/ess/ess-s-l</div><div>/Users/Ami=
r/.emacs.d/elpa/ess-20151105.852/lisp/ess-rutils hides /Applications/Emacs.=
app/Contents/Resources/site-lisp/ess/ess-rutils</div><div>/Users/Amir/.emac=
s.d/elpa/ess-20151105.852/lisp/ess-roxy hides /Applications/Emacs.app/Conte=
nts/Resources/site-lisp/ess/ess-roxy</div><div>/Users/Amir/.emacs.d/elpa/es=
s-20151105.852/lisp/ess-rdired hides /Applications/Emacs.app/Contents/Resou=
rces/site-lisp/ess/ess-rdired</div><div>/Users/Amir/.emacs.d/elpa/ess-20151=
105.852/lisp/ess-rd hides /Applications/Emacs.app/Contents/Resources/site-l=
isp/ess/ess-rd</div><div>/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/es=
s-r-syntax hides /Applications/Emacs.app/Contents/Resources/site-lisp/ess/e=
ss-r-syntax</div><div>/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-r=
-d hides /Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-r-d</=
div><div>/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-r-completion h=
ides /Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-r-complet=
ion</div><div>/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-r-args hi=
des /Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-r-args</di=
v><div>/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-omg-l hides /App=
lications/Emacs.app/Contents/Resources/site-lisp/ess/ess-omg-l</div><div>/U=
sers/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-omg-d hides /Applications=
/Emacs.app/Contents/Resources/site-lisp/ess/ess-omg-d</div><div>/Users/Amir=
/.emacs.d/elpa/ess-20151105.852/lisp/ess-noweb hides /Applications/Emacs.ap=
p/Contents/Resources/site-lisp/ess/ess-noweb</div><div>/Users/Amir/.emacs.d=
/elpa/ess-20151105.852/lisp/ess-noweb-mode hides /Applications/Emacs.app/Co=
ntents/Resources/site-lisp/ess/ess-noweb-mode</div><div>/Users/Amir/.emacs.=
d/elpa/ess-20151105.852/lisp/ess-noweb-font-lock-mode hides /Applications/E=
macs.app/Contents/Resources/site-lisp/ess/ess-noweb-font-lock-mode</div><di=
v>/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-mouse hides /Applicat=
ions/Emacs.app/Contents/Resources/site-lisp/ess/ess-mouse</div><div>/Users/=
Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-mode hides /Applications/Emacs=
.app/Contents/Resources/site-lisp/ess/ess-mode</div><div>/Users/Amir/.emacs=
.d/elpa/ess-20151105.852/lisp/ess-menu hides /Applications/Emacs.app/Conten=
ts/Resources/site-lisp/ess/ess-menu</div><div>/Users/Amir/.emacs.d/elpa/ess=
-20151105.852/lisp/ess-lsp-l hides /Applications/Emacs.app/Contents/Resourc=
es/site-lisp/ess/ess-lsp-l</div><div>/Users/Amir/.emacs.d/elpa/ess-20151105=
.852/lisp/ess-julia hides /Applications/Emacs.app/Contents/Resources/site-l=
isp/ess/ess-julia</div><div>/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp=
/ess-jags-d hides /Applications/Emacs.app/Contents/Resources/site-lisp/ess/=
ess-jags-d</div><div>/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-in=
f hides /Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-inf</d=
iv><div>/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-help hides /App=
lications/Emacs.app/Contents/Resources/site-lisp/ess/ess-help</div><div>/Us=
ers/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-gretl hides /Applications/=
Emacs.app/Contents/Resources/site-lisp/ess/ess-gretl</div><div>/Users/Amir/=
.emacs.d/elpa/ess-20151105.852/lisp/ess-font-lock hides /Applications/Emacs=
.app/Contents/Resources/site-lisp/ess/ess-font-lock</div><div>/Users/Amir/.=
emacs.d/elpa/ess-20151105.852/lisp/ess-eldoc hides /Applications/Emacs.app/=
Contents/Resources/site-lisp/ess/ess-eldoc</div><div>/Users/Amir/.emacs.d/e=
lpa/ess-20151105.852/lisp/ess-developer hides /Applications/Emacs.app/Conte=
nts/Resources/site-lisp/ess/ess-developer</div><div>/Users/Amir/.emacs.d/el=
pa/ess-20151105.852/lisp/ess-dde hides /Applications/Emacs.app/Contents/Res=
ources/site-lisp/ess/ess-dde</div><div>/Users/Amir/.emacs.d/elpa/ess-201511=
05.852/lisp/ess-custom hides /Applications/Emacs.app/Contents/Resources/sit=
e-lisp/ess/ess-custom</div><div>/Users/Amir/.emacs.d/elpa/ess-20151105.852/=
lisp/ess-compat hides /Applications/Emacs.app/Contents/Resources/site-lisp/=
ess/ess-compat</div><div>/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/es=
s-comp hides /Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-c=
omp</div><div>/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-bugs-l hi=
des /Applications/Emacs.app/Contents/Resources/site-lisp/ess/ess-bugs-l</di=
v><div>/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-bugs-d hides /Ap=
plications/Emacs.app/Contents/Resources/site-lisp/ess/ess-bugs-d</div><div>=
/Users/Amir/.emacs.d/elpa/ess-20151105.852/lisp/ess-arc-d hides /Applicatio=
ns/Emacs.app/Contents/Resources/site-lisp/ess/ess-arc-d</div><div>/Applicat=
ions/Emacs.app/Contents/Resources/site-lisp/org/ox hides /Applications/Emac=
s.app/Contents/Resources/lisp/org/ox</div><div>/Applications/Emacs.app/Cont=
ents/Resources/site-lisp/org/ox-texinfo hides /Applications/Emacs.app/Conte=
nts/Resources/lisp/org/ox-texinfo</div><div>/Applications/Emacs.app/Content=
s/Resources/site-lisp/org/ox-publish hides /Applications/Emacs.app/Contents=
/Resources/lisp/org/ox-publish</div><div>/Applications/Emacs.app/Contents/R=
esources/site-lisp/org/ox-org hides /Applications/Emacs.app/Contents/Resour=
ces/lisp/org/ox-org</div><div>/Applications/Emacs.app/Contents/Resources/si=
te-lisp/org/ox-odt hides /Applications/Emacs.app/Contents/Resources/lisp/or=
g/ox-odt</div><div>/Applications/Emacs.app/Contents/Resources/site-lisp/org=
/ox-md hides /Applications/Emacs.app/Contents/Resources/lisp/org/ox-md</div=
><div>/Applications/Emacs.app/Contents/Resources/site-lisp/org/ox-man hides=
 /Applications/Emacs.app/Contents/Resources/lisp/org/ox-man</div><div>/Appl=
ications/Emacs.app/Contents/Resources/site-lisp/org/ox-latex hides /Applica=
tions/Emacs.app/Contents/Resources/lisp/org/ox-latex</div><div>/Application=
s/Emacs.app/Contents/Resources/site-lisp/org/ox-icalendar hides /Applicatio=
ns/Emacs.app/Contents/Resources/lisp/org/ox-icalendar</div><div>/Applicatio=
ns/Emacs.app/Contents/Resources/site-lisp/org/ox-html hides /Applications/E=
macs.app/Contents/Resources/lisp/org/ox-html</div><div>/Applications/Emacs.=
app/Contents/Resources/site-lisp/org/ox-beamer hides /Applications/Emacs.ap=
p/Contents/Resources/lisp/org/ox-beamer</div><div>/Applications/Emacs.app/C=
ontents/Resources/site-lisp/org/ox-ascii hides /Applications/Emacs.app/Cont=
ents/Resources/lisp/org/ox-ascii</div><div>/Applications/Emacs.app/Contents=
/Resources/site-lisp/org/org hides /Applications/Emacs.app/Contents/Resourc=
es/lisp/org/org</div><div>/Applications/Emacs.app/Contents/Resources/site-l=
isp/org/org-w3m hides /Applications/Emacs.app/Contents/Resources/lisp/org/o=
rg-w3m</div><div>/Applications/Emacs.app/Contents/Resources/site-lisp/org/o=
rg-version hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-ve=
rsion</div><div>/Applications/Emacs.app/Contents/Resources/site-lisp/org/or=
g-timer hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-timer=
</div><div>/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-tab=
le hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-table</div=
><div>/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-src hide=
s /Applications/Emacs.app/Contents/Resources/lisp/org/org-src</div><div>/Ap=
plications/Emacs.app/Contents/Resources/site-lisp/org/org-rmail hides /Appl=
ications/Emacs.app/Contents/Resources/lisp/org/org-rmail</div><div>/Applica=
tions/Emacs.app/Contents/Resources/site-lisp/org/org-protocol hides /Applic=
ations/Emacs.app/Contents/Resources/lisp/org/org-protocol</div><div>/Applic=
ations/Emacs.app/Contents/Resources/site-lisp/org/org-plot hides /Applicati=
ons/Emacs.app/Contents/Resources/lisp/org/org-plot</div><div>/Applications/=
Emacs.app/Contents/Resources/site-lisp/org/org-pcomplete hides /Application=
s/Emacs.app/Contents/Resources/lisp/org/org-pcomplete</div><div>/Applicatio=
ns/Emacs.app/Contents/Resources/site-lisp/org/org-mouse hides /Applications=
/Emacs.app/Contents/Resources/lisp/org/org-mouse</div><div>/Applications/Em=
acs.app/Contents/Resources/site-lisp/org/org-mobile hides /Applications/Ema=
cs.app/Contents/Resources/lisp/org/org-mobile</div><div>/Applications/Emacs=
.app/Contents/Resources/site-lisp/org/org-mhe hides /Applications/Emacs.app=
/Contents/Resources/lisp/org/org-mhe</div><div>/Applications/Emacs.app/Cont=
ents/Resources/site-lisp/org/org-macs hides /Applications/Emacs.app/Content=
s/Resources/lisp/org/org-macs</div><div>/Applications/Emacs.app/Contents/Re=
sources/site-lisp/org/org-macro hides /Applications/Emacs.app/Contents/Reso=
urces/lisp/org/org-macro</div><div>/Applications/Emacs.app/Contents/Resourc=
es/site-lisp/org/org-loaddefs hides /Applications/Emacs.app/Contents/Resour=
ces/lisp/org/org-loaddefs</div><div>/Applications/Emacs.app/Contents/Resour=
ces/site-lisp/org/org-list hides /Applications/Emacs.app/Contents/Resources=
/lisp/org/org-list</div><div>/Applications/Emacs.app/Contents/Resources/sit=
e-lisp/org/org-irc hides /Applications/Emacs.app/Contents/Resources/lisp/or=
g/org-irc</div><div>/Applications/Emacs.app/Contents/Resources/site-lisp/or=
g/org-install hides /Applications/Emacs.app/Contents/Resources/lisp/org/org=
-install</div><div>/Applications/Emacs.app/Contents/Resources/site-lisp/org=
/org-inlinetask hides /Applications/Emacs.app/Contents/Resources/lisp/org/o=
rg-inlinetask</div><div>/Applications/Emacs.app/Contents/Resources/site-lis=
p/org/org-info hides /Applications/Emacs.app/Contents/Resources/lisp/org/or=
g-info</div><div>/Applications/Emacs.app/Contents/Resources/site-lisp/org/o=
rg-indent hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-ind=
ent</div><div>/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-=
id hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-id</div><d=
iv>/Applications/Emacs.app/Contents/Resources/site-lisp/org/org-habit hides=
 /Applications/Emacs.app/Contents/Resources/lisp/org/org-habit</div><div>/A=
pplications/Emacs.app/Contents/Resources/site-lisp/org/org-gnus hides /Appl=
ications/Emacs.app/Contents/Resources/lisp/org/org-gnus</div><div>/Applicat=
ions/Emacs.app/Contents/Resources/site-lisp/org/org-footnote hides /Applica=
tions/Emacs.app/Contents/Resources/lisp/org/org-footnote</div><div>/Applica=
tions/Emacs.app/Contents/Resources/site-lisp/org/org-feed hides /Applicatio=
ns/Emacs.app/Contents/Resources/lisp/org/org-feed</div><div>/Applications/E=
macs.app/Contents/Resources/site-lisp/org/org-faces hides /Applications/Ema=
cs.app/Contents/Resources/lisp/org/org-faces</div><div>/Applications/Emacs.=
app/Contents/Resources/site-lisp/org/org-eshell hides /Applications/Emacs.a=
pp/Contents/Resources/lisp/org/org-eshell</div><div>/Applications/Emacs.app=
/Contents/Resources/site-lisp/org/org-entities hides /Applications/Emacs.ap=
p/Contents/Resources/lisp/org/org-entities</div><div>/Applications/Emacs.ap=
p/Contents/Resources/site-lisp/org/org-element hides /Applications/Emacs.ap=
p/Contents/Resources/lisp/org/org-element</div><div>/Applications/Emacs.app=
/Contents/Resources/site-lisp/org/org-docview hides /Applications/Emacs.app=
/Contents/Resources/lisp/org/org-docview</div><div>/Applications/Emacs.app/=
Contents/Resources/site-lisp/org/org-datetree hides /Applications/Emacs.app=
/Contents/Resources/lisp/org/org-datetree</div><div>/Applications/Emacs.app=
/Contents/Resources/site-lisp/org/org-ctags hides /Applications/Emacs.app/C=
ontents/Resources/lisp/org/org-ctags</div><div>/Applications/Emacs.app/Cont=
ents/Resources/site-lisp/org/org-crypt hides /Applications/Emacs.app/Conten=
ts/Resources/lisp/org/org-crypt</div><div>/Applications/Emacs.app/Contents/=
Resources/site-lisp/org/org-compat hides /Applications/Emacs.app/Contents/R=
esources/lisp/org/org-compat</div><div>/Applications/Emacs.app/Contents/Res=
ources/site-lisp/org/org-colview hides /Applications/Emacs.app/Contents/Res=
ources/lisp/org/org-colview</div><div>/Applications/Emacs.app/Contents/Reso=
urces/site-lisp/org/org-clock hides /Applications/Emacs.app/Contents/Resour=
ces/lisp/org/org-clock</div><div>/Applications/Emacs.app/Contents/Resources=
/site-lisp/org/org-capture hides /Applications/Emacs.app/Contents/Resources=
/lisp/org/org-capture</div><div>/Applications/Emacs.app/Contents/Resources/=
site-lisp/org/org-bibtex hides /Applications/Emacs.app/Contents/Resources/l=
isp/org/org-bibtex</div><div>/Applications/Emacs.app/Contents/Resources/sit=
e-lisp/org/org-bbdb hides /Applications/Emacs.app/Contents/Resources/lisp/o=
rg/org-bbdb</div><div>/Applications/Emacs.app/Contents/Resources/site-lisp/=
org/org-attach hides /Applications/Emacs.app/Contents/Resources/lisp/org/or=
g-attach</div><div>/Applications/Emacs.app/Contents/Resources/site-lisp/org=
/org-archive hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-=
archive</div><div>/Applications/Emacs.app/Contents/Resources/site-lisp/org/=
org-agenda hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-ag=
enda</div><div>/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob =
hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob</div><div>/App=
lications/Emacs.app/Contents/Resources/site-lisp/org/ob-tangle hides /Appli=
cations/Emacs.app/Contents/Resources/lisp/org/ob-tangle</div><div>/Applicat=
ions/Emacs.app/Contents/Resources/site-lisp/org/ob-table hides /Application=
s/Emacs.app/Contents/Resources/lisp/org/ob-table</div><div>/Applications/Em=
acs.app/Contents/Resources/site-lisp/org/ob-sqlite hides /Applications/Emac=
s.app/Contents/Resources/lisp/org/ob-sqlite</div><div>/Applications/Emacs.a=
pp/Contents/Resources/site-lisp/org/ob-sql hides /Applications/Emacs.app/Co=
ntents/Resources/lisp/org/ob-sql</div><div>/Applications/Emacs.app/Contents=
/Resources/site-lisp/org/ob-shen hides /Applications/Emacs.app/Contents/Res=
ources/lisp/org/ob-shen</div><div>/Applications/Emacs.app/Contents/Resource=
s/site-lisp/org/ob-screen hides /Applications/Emacs.app/Contents/Resources/=
lisp/org/ob-screen</div><div>/Applications/Emacs.app/Contents/Resources/sit=
e-lisp/org/ob-scheme hides /Applications/Emacs.app/Contents/Resources/lisp/=
org/ob-scheme</div><div>/Applications/Emacs.app/Contents/Resources/site-lis=
p/org/ob-scala hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob=
-scala</div><div>/Applications/Emacs.app/Contents/Resources/site-lisp/org/o=
b-sass hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-sass</d=
iv><div>/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-ruby hi=
des /Applications/Emacs.app/Contents/Resources/lisp/org/ob-ruby</div><div>/=
Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-ref hides /Appli=
cations/Emacs.app/Contents/Resources/lisp/org/ob-ref</div><div>/Application=
s/Emacs.app/Contents/Resources/site-lisp/org/ob-R hides /Applications/Emacs=
.app/Contents/Resources/lisp/org/ob-R</div><div>/Applications/Emacs.app/Con=
tents/Resources/site-lisp/org/ob-python hides /Applications/Emacs.app/Conte=
nts/Resources/lisp/org/ob-python</div><div>/Applications/Emacs.app/Contents=
/Resources/site-lisp/org/ob-plantuml hides /Applications/Emacs.app/Contents=
/Resources/lisp/org/ob-plantuml</div><div>/Applications/Emacs.app/Contents/=
Resources/site-lisp/org/ob-picolisp hides /Applications/Emacs.app/Contents/=
Resources/lisp/org/ob-picolisp</div><div>/Applications/Emacs.app/Contents/R=
esources/site-lisp/org/ob-perl hides /Applications/Emacs.app/Contents/Resou=
rces/lisp/org/ob-perl</div><div>/Applications/Emacs.app/Contents/Resources/=
site-lisp/org/ob-org hides /Applications/Emacs.app/Contents/Resources/lisp/=
org/ob-org</div><div>/Applications/Emacs.app/Contents/Resources/site-lisp/o=
rg/ob-octave hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-o=
ctave</div><div>/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob=
-ocaml hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-ocaml</=
div><div>/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-mscgen=
 hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-mscgen</div><=
div>/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-maxima hide=
s /Applications/Emacs.app/Contents/Resources/lisp/org/ob-maxima</div><div>/=
Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-matlab hides /Ap=
plications/Emacs.app/Contents/Resources/lisp/org/ob-matlab</div><div>/Appli=
cations/Emacs.app/Contents/Resources/site-lisp/org/ob-makefile hides /Appli=
cations/Emacs.app/Contents/Resources/lisp/org/ob-makefile</div><div>/Applic=
ations/Emacs.app/Contents/Resources/site-lisp/org/ob-lob hides /Application=
s/Emacs.app/Contents/Resources/lisp/org/ob-lob</div><div>/Applications/Emac=
s.app/Contents/Resources/site-lisp/org/ob-lisp hides /Applications/Emacs.ap=
p/Contents/Resources/lisp/org/ob-lisp</div><div>/Applications/Emacs.app/Con=
tents/Resources/site-lisp/org/ob-lilypond hides /Applications/Emacs.app/Con=
tents/Resources/lisp/org/ob-lilypond</div><div>/Applications/Emacs.app/Cont=
ents/Resources/site-lisp/org/ob-ledger hides /Applications/Emacs.app/Conten=
ts/Resources/lisp/org/ob-ledger</div><div>/Applications/Emacs.app/Contents/=
Resources/site-lisp/org/ob-latex hides /Applications/Emacs.app/Contents/Res=
ources/lisp/org/ob-latex</div><div>/Applications/Emacs.app/Contents/Resourc=
es/site-lisp/org/ob-keys hides /Applications/Emacs.app/Contents/Resources/l=
isp/org/ob-keys</div><div>/Applications/Emacs.app/Contents/Resources/site-l=
isp/org/ob-js hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-=
js</div><div>/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-ja=
va hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-java</div><=
div>/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-io hides /A=
pplications/Emacs.app/Contents/Resources/lisp/org/ob-io</div><div>/Applicat=
ions/Emacs.app/Contents/Resources/site-lisp/org/ob-haskell hides /Applicati=
ons/Emacs.app/Contents/Resources/lisp/org/ob-haskell</div><div>/Application=
s/Emacs.app/Contents/Resources/site-lisp/org/ob-gnuplot hides /Applications=
/Emacs.app/Contents/Resources/lisp/org/ob-gnuplot</div><div>/Applications/E=
macs.app/Contents/Resources/site-lisp/org/ob-fortran hides /Applications/Em=
acs.app/Contents/Resources/lisp/org/ob-fortran</div><div>/Applications/Emac=
s.app/Contents/Resources/site-lisp/org/ob-exp hides /Applications/Emacs.app=
/Contents/Resources/lisp/org/ob-exp</div><div>/Applications/Emacs.app/Conte=
nts/Resources/site-lisp/org/ob-eval hides /Applications/Emacs.app/Contents/=
Resources/lisp/org/ob-eval</div><div>/Applications/Emacs.app/Contents/Resou=
rces/site-lisp/org/ob-emacs-lisp hides /Applications/Emacs.app/Contents/Res=
ources/lisp/org/ob-emacs-lisp</div><div>/Applications/Emacs.app/Contents/Re=
sources/site-lisp/org/ob-dot hides /Applications/Emacs.app/Contents/Resourc=
es/lisp/org/ob-dot</div><div>/Applications/Emacs.app/Contents/Resources/sit=
e-lisp/org/ob-ditaa hides /Applications/Emacs.app/Contents/Resources/lisp/o=
rg/ob-ditaa</div><div>/Applications/Emacs.app/Contents/Resources/site-lisp/=
org/ob-css hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-css=
</div><div>/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-core=
 hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-core</div><di=
v>/Applications/Emacs.app/Contents/Resources/site-lisp/org/ob-comint hides =
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-comint</div><div>/Ap=
plications/Emacs.app/Contents/Resources/site-lisp/org/ob-clojure hides /App=
lications/Emacs.app/Contents/Resources/lisp/org/ob-clojure</div><div>/Appli=
cations/Emacs.app/Contents/Resources/site-lisp/org/ob-calc hides /Applicati=
ons/Emacs.app/Contents/Resources/lisp/org/ob-calc</div><div>/Applications/E=
macs.app/Contents/Resources/site-lisp/org/ob-C hides /Applications/Emacs.ap=
p/Contents/Resources/lisp/org/ob-C</div><div>/Applications/Emacs.app/Conten=
ts/Resources/site-lisp/org/ob-awk hides /Applications/Emacs.app/Contents/Re=
sources/lisp/org/ob-awk</div><div>/Applications/Emacs.app/Contents/Resource=
s/site-lisp/org/ob-asymptote hides /Applications/Emacs.app/Contents/Resourc=
es/lisp/org/ob-asymptote</div><div><br></div><div>Features:</div><div>(shad=
ow sort mail-extr emacsbug sendmail mule-util network-stream</div><div>star=
ttls tls erc-list erc-menu erc-join erc-ring erc-networks</div><div>erc-pco=
mplete erc-track erc-match erc-button erc-fill erc-stamp</div><div>erc-nets=
plit erc-goodies erc erc-backend erc-compat auth-source</div><div>gnus-util=
 password-cache pp derived rx misearch multi-isearch jka-compr</div><div>co=
mpany-files company-oddmuse company-keywords company-etags</div><div>compan=
y-gtags company-dabbrev-code company-dabbrev company-cmake</div><div>compan=
y-xcode company-clang company-eclim company-template company-css</div><div>=
company-nxml company-bbdb exec-path-from-shell version-modified</div><div>y=
asnippet help-mode highlight-indentation flymake company edmacro kmacro</di=
v><div>pcase elpy pyvenv elpy-refactor python json grep files-x etags cus-e=
dit</div><div>cus-start cus-load windmove zenburn-theme info package epg-co=
nfig psvn</div><div>log-edit message cl-macs rfc822 mml mml-sec mm-decode m=
m-bodies</div><div>mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums =
mm-util</div><div>mail-prsvr mailabbrev mail-utils gmm-utils mailheader pcv=
s-util add-log</div><div>diff-mode poly-R poly-markdown poly-noweb easy-mmo=
de polymode poly-base</div><div>polymode-weave polymode-export polymode-met=
hods polymode-classes</div><div>polymode-common eieio-custom wid-edit eieio=
-base eieio byte-opt bytecomp</div><div>byte-compile cl-extra cconv eieio-c=
ore color preview-latex tex-site</div><div>auto-loads ido ess-toolbar ess-m=
ouse mouseme thingatpt browse-url</div><div>ess-menu ess-swv ess-noweb ess-=
noweb-font-lock-mode ess-bugs-l essd-els</div><div>ess-sas-d ess-sas-l ess-=
sas-a shell pcomplete ess-sta-d ess-sta-l</div><div>cc-vars cc-defs make-re=
gexp ess-sp6-d ess-sp3-d ess-julia julia-mode ert</div><div>find-func ewoc =
debug ess-r-d ess-r-syntax ess-r-completion ess-tracebug</div><div>format-s=
pec ess-roxy advice hideshow ess-help ess-developer eldoc</div><div>help-fn=
s ess-s-l ess ess-inf compile comint ansi-color ring ess-mode</div><div>ess=
-noweb-mode ess-utils cl gv cl-loaddefs cl-lib ess-custom executable</div><=
div>easymenu ess-compat ess-site paren delsel time-date tooltip electric</d=
iv><div>uniquify ediff-hook vc-hooks lisp-float-type mwheel ns-win tool-bar=
 dnd</div><div>fontset image regexp-opt fringe tabulated-list newcomment li=
sp-mode</div><div>prog-mode register page menu-bar rfn-eshadow timer select=
 scroll-bar</div><div>mouse jit-lock font-lock syntax facemenu font-core fr=
ame cham georgian</div><div>utf-8-lang misc-lang vietnamese tibetan thai ta=
i-viet lao korean</div><div>japanese hebrew greek romanian slovak czech eur=
opean ethiopic indian</div><div>cyrillic chinese case-table epa-hook jka-cm=
pr-hook help simple abbrev</div><div>minibuffer nadvice loaddefs button fac=
es cus-face macroexp files</div><div>text-properties overlay sha1 md5 base6=
4 format env code-pages mule</div><div>custom widget hashtable-print-readab=
le backquote make-network-process</div><div>cocoa ns multi-tty emacs)</div>=
<div><br></div><div>Memory information:</div><div>((conses 16 370984 60575)=
</div><div>=C2=A0(symbols 48 39331 0)</div><div>=C2=A0(miscs 40 244 1063)</=
div><div>=C2=A0(strings 32 95932 12630)</div><div>=C2=A0(string-bytes 1 244=
1985)</div><div>=C2=A0(vectors 16 42872)</div><div>=C2=A0(vector-slots 8 14=
62194 155674)</div><div>=C2=A0(floats 8 702 689)</div><div>=C2=A0(intervals=
 56 3645 558)</div><div>=C2=A0(buffers 960 21))</div></div>

--047d7b471f6e093724052c884767--




Acknowledgement sent to Amir Dib <dib.amir@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#22796; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 11 Jul 2018 00:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.